.blk-swap-filter{
	--gap-filter: 20px;
	display: -ms-grid;
	display: grid;
	grid-gap: 30px;
}

.blk-swap-filter__content{
	display: -ms-grid;
	display: grid;
	grid-gap: var(--gap-filter);
	position: relative;
}

.blk-swap-filter__close{
	position: absolute;
	top: 15px;
	right: 15px;
	cursor: pointer;
	color: var(--color-dark-gray);
}

.blk-swap-filter__top{
	display: -ms-grid;
	display: grid;
	grid-gap: var(--gap-filter);
	-ms-grid-columns: 1fr;
	grid-template-columns: 1fr;
}

.blk-swap-filter__grid{
	display: -ms-grid;
	display: grid;
	grid-gap: var(--gap-filter);
	-ms-grid-columns: 1fr;
	grid-template-columns: 1fr;
}

.blk-swap-filter:not(.mob\:blk-swap-filter) .blk-swap-filter__params-container{
	display: none;
	content-visibility: auto;
}

.blk-swap-filter:not(.mob\:blk-swap-filter) .blk-swap-filter__params-container.active{
	display: -ms-grid;
	display: grid;
	grid-column-gap: 30px;
	grid-row-gap: var(--gap-filter);
	-ms-grid-columns: 1fr 30px 2fr;
	grid-template-columns: 1fr 2fr;
	-ms-grid-rows: auto var(--gap-filter) auto;
	grid-template-areas: "bankSearch radioTop" "checkboxes checkboxes";
}

/* desck */
.blk-swap-filter.desc\:blk-swap-filter .blk-swap-filter__content{
	display: none;
}
.blk-swap-filter.desc\:blk-swap-filter .blk-swap-filter__content.always-active,
.blk-swap-filter.desc\:blk-swap-filter .blk-swap-filter__content.active{
	display: -ms-grid;
	display: grid;
}

.blk-swap-filter.desc\:blk-swap-filter .blk-swap-filter__close{
	right: 0;
}

.blk-swap-filter.desc\:blk-swap-filter .blk-swap-filter__bottom{
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
}
/* desck #end */

/* mobile */
.blk-swap-filter__label{
	border: 1px solid #DADEE2;
	border-radius: 5px;
	padding: 6px 15px;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	cursor: pointer;
	background-color: white;
	-webkit-box-pack: justify;
	-ms-flex-pack: justify;
	justify-content: space-between;
}

.blk-swap-filter.mob\:blk-swap-filter{
	--gap-filter: 25px;
}

.blk-swap-filter.mob\:blk-swap-filter .blk-swap-filter__content:not(.active){
	pointer-events: none;
	-webkit-transform: translateY(110%);
	-ms-transform: translateY(110%);
	transform: translateY(110%);
	opacity: 0;
}

.blk-swap-filter.mob\:blk-swap-filter .blk-swap-filter__content{
	position: fixed;
	bottom: 0;
	max-height: 90vh;
	left: 0;
	right: 0;
	background-color: white;
	content-visibility: auto;
	overflow: auto;
	z-index: 157;
	padding: 25px 15px 20px 15px;
	-webkit-transition: -webkit-transform 0.3s ease;
	transition: -webkit-transform 0.3s ease;
	-o-transition: transform 0.3s ease;
	transition: transform 0.3s ease;
	transition: transform 0.3s ease, -webkit-transform 0.3s ease;
	display: -ms-grid;
	display: grid;
	grid-gap: 20px;
	-ms-grid-columns: 1fr;
	grid-template-columns: 1fr;
	border-radius: 5px 5px 0 0;
}


.blk-swap-filter__overlay{
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	pointer-events: none;
	background: rgba(51, 62, 80, 0.32);
	z-index: 156;
}

.blk-swap-filter.mob\:blk-swap-filter .blk-swap-filter__content.active ~ .blk-swap-filter__overlay{
	display: block;
	pointer-events: auto;
}

.blk-swap-filter.mob\:blk-swap-filter-filter .blk-swap-filter__params-container{
	display: -ms-grid;
	display: grid;
	content-visibility: unset;
	grid-gap: var(--gap-filter);
	-ms-grid-columns: 1fr;
	grid-template-columns: 1fr;
	-ms-grid-rows: auto var(--gap-filter) auto var(--gap-filter) auto;
	grid-template-areas: "bankSearch" "radioTop" "checkboxes";
}

.blk-swap-filter.mob\:blk-swap-filter .blk-swap-filter__bottom{
	background-color: white;
	margin-top: -5px;
	display: -ms-grid;
	display: grid;
	grid-gap: 15px;
}

/* mobile #end*/

.blk-swap-filter__count-params:empty{
	display: none;
}

.blk-swap-filter__count-params{
	background: #f1f4f7;
	border: 1px solid #f1f4f7;
	color: #9299a2;
	font-size: 14px;
	border-radius: 50%;
	width: 25px;
	height: 25px;
	-webkit-box-flex: 0;
	-ms-flex: none;
	flex: none;
	margin-left: 5px;
	display: -webkit-inline-box;
	display: -ms-inline-flexbox;
	display: inline-flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	line-height: 1;
}

.xxx-filter-pretty__btn--show-more .xxx-filter-pretty__btn-text--show-more {
	width: initial;
}

.xxx-filter-pretty__btn--show-more {
	line-height: 1;
}

.xxx-filter-pretty__btn--show-more:before {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	text-align: center;
	content: '+';
	padding: 0 5px;
	font-size: 25px;
	line-height: 1;
}

.xxx-filter-pretty__btn--show-more.active {
	color: #9299A2;
}

.xxx-filter-pretty__btn--show-more.active:before {
	font-family: "bankiros" !important;
	font-style: normal;
	font-weight: normal;
	font-variant: normal;
	text-transform: none;
	line-height: 1;
	-webkit-font-smoothing: antialiased;
	content: "\e916";
	font-size: 12px;
}

.xxx-filter-pretty__btn--show-more.active .xxx-filter-pretty__btn-text--show-more {
	display: none;
}

.xxx-filter-pretty__btn--show-more.active:after {
	content: "Свернуть";
}